Some test text!

Loading...
Guides

Get started integrating PDFTron Flutter SDK

Welcome to PDFTron. This guide will help you integrate a free trial of the PDFTron Flutter SDK into your Flutter Project. Your free trial includes unlimited trial usage and support from solution engineers.

iOS & Flutter PDF library integration

See here for the get started guide for using the PDFTron Flutter SDK on Android.

This guide will help you integrate a free trial of the PDFTron SDK into your iOS applications using Flutter. Your free trial includes unlimited trial usage and support from solution engineers.

Get the Flutter source code

Prerequisites

  • Flutter >= 1.0.0
No trial license key required.
The trial of PDFTron SDK works without a license key. A commercial license key is required for use in a production environment. Please fill out our licensing form if you do not have a valid license key.
Keep your commercial license key confidential.
License keys are uniquely generated. Please make sure that it is not publicly available (e.g. in your public GitHub).

Integrate

For simplicity, the following guide is based on a boilerplate Flutter app and uses Git Diff syntax to represent lines that have been added to or removed from the app. Please follow these Flutter get started guides to install, set up an editor, and create a Flutter Project if you are a first time Flutter developer

  1. Initialize the project by running the command:

    flutter create myapp
  2. Add the following dependency to your Flutter project in myapp/pubspec.yaml:

    • If you want to use our null safe package from pub.dev:

      dependencies:
              flutter:
              sdk: flutter
      +       pdftron_flutter:
    • If you want to use our null safe package from GitHub:

      dependencies:
              flutter:
              sdk: flutter
      +       pdftron_flutter:
      +           git:
      +               url: git://github.com/PDFTron/pdftron-flutter.git
  3. Navigate to your myapp folder:

    cd myapp

    and run the following command to get the required packages:

    flutter packages get
  4. Open myapp/ios/Podfile and make these changes:

    # Uncomment this line to define a global platform for your project
    -  # platform :ios, '9.0'
    +  platform :ios, "10.0"
    
       target 'Runner' do
         # ...
    +    # PDFTron Pods
    +    pod 'PDFNet', podspec: 'https://www.pdftron.com/downloads/ios/cocoapods/xcframeworks/pdfnet/latest.podspec'
         # ...
        end
  5. Run this command to ensure integration process is successful:

    flutter build ios --no-codesign

Next step

View a document

Get the answers you need: Support

Upcoming Webinar: Live tech update & run-through: Redaction | March 31st at 11 am PT

PDFTron SDK

The Platform

NEW

© 2022 PDFTron Systems Inc. All rights reserved.

Privacy

Terms of Use